Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 424840 - net-wireless/reaver-1.4 should probably maintain database in /var/lib/reaver, not /etc/reaver
Summary: net-wireless/reaver-1.4 should probably maintain database in /var/lib/reaver,...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Oleh Kravchenko
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-05 05:33 UTC by Maxim Kammerer
Modified: 2013-10-16 17:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild with patch (reaver-1.4-r1.ebuild,838 bytes, text/plain)
2013-10-13 16:44 UTC, Oleh Kravchenko
Details
patch for /var/db (reaver-1.4_var_db.patch,524 bytes, patch)
2013-10-13 16:45 UTC, Oleh Kravchenko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Kammerer 2012-07-05 05:33:30 UTC
Replacing /etc/reaver with /var/lib/reaver in the ebuild and in src/{sql,session}.h should change the directory.
Comment 1 Maxim Kammerer 2013-08-20 23:27:15 UTC
Ping?
Comment 2 Oleh Kravchenko 2013-08-21 08:12:39 UTC
(In reply to Maxim Kammerer from comment #1)
> Ping?

Ok, i will do it.
Comment 3 Sergey Popov gentoo-dev 2013-08-21 08:19:14 UTC
(In reply to Oleg Kravchenko from comment #2)
> (In reply to Maxim Kammerer from comment #1)
> > Ping?
> 
> Ok, i will do it.

Try to pass -DCONF_DIR=/var/lib/reaver to buildsystem, it seems that this can help
Comment 4 Oleh Kravchenko 2013-10-13 16:44:52 UTC
Created attachment 360792 [details]
ebuild with patch
Comment 5 Oleh Kravchenko 2013-10-13 16:45:07 UTC
Created attachment 360794 [details, diff]
patch for /var/db
Comment 6 Oleh Kravchenko 2013-10-13 16:45:55 UTC
Resolved. Maxim please do review.
Comment 7 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-10-13 17:03:36 UTC
Please don't mark things as RESOLVED until the fix is in the Portage tree.
Comment 8 Maxim Koltsov gentoo-dev 2013-10-16 17:36:41 UTC
Fixed. Thanks.